Problem Using OpenCL in Ubuntu with Detailed Report

Problem Using OpenCL in Ubuntu with Detailed Report

Hi,Everybody

1--From the scripti "python sys_analyzer_linux.py -v " I got the output

--------------------------
Hardware readiness checks:
--------------------------
 [ OK ] Processor name: Intel(R) Core(TM) i7-5675C CPU @ 3.10GHz
 [ INFO ] Intel Processor
 [ INFO ] Processor brand: Core
 [ INFO ] Processor arch: Broadwell
--------------------------
OS readiness checks:
--------------------------
 [ INFO ] GPU PCI id     : 1622
 [ INFO ] GPU description: BDW GT3 ULT
 [ OK ] GPU visible to OS
 [ INFO ] no nomodeset in GRUB cmdline (good)
 [ INFO ] Linux distro   : Ubuntu 16.04
 [ INFO ] Linux kernel   : 4.4.0-92-generic
 [ INFO ] glibc version  : 2.23
 [ INFO ] Linux distro suitable for Generic install
 [ INFO ] gcc version    : 20160609 (>=4.8.2 suggested)
--------------------------
Media Server Studio Install:
--------------------------
 [ OK ] user in video group
 [ OK ] libva.so.1 found
 [ INFO ] Intel iHD used by libva
 [ ERROR ] vainfo not reporting codec entry points
 [ INFO ] i915 driver in use by Intel video adapter
 [ ERROR ] could not open /dev/dri/renderD128
--------------------------
Component Smoke Tests:
--------------------------
 [ OK ] Media SDK HW API level:1.0
 [ OK ] Media SDK SW API level:1.19
 [ OK ] OpenCL check:platform:Intel(R) OpenCL GPU OK CPU OK
platform:Experimental OpenCL 2.1 CPU Only Platform GPU OK CPU OK

 

2--And ,from the scripti "sudo python sys_analyzer_linux.py -v " I got the output

--------------------------
Hardware readiness checks:
--------------------------
 [ OK ] Processor name: Intel(R) Core(TM) i7-5675C CPU @ 3.10GHz
 [ INFO ] Intel Processor
 [ INFO ] Processor brand: Core
 [ INFO ] Processor arch: Broadwell
--------------------------
OS readiness checks:
--------------------------
 [ INFO ] GPU PCI id     : 1622
 [ INFO ] GPU description: BDW GT3 ULT
 [ OK ] GPU visible to OS
 [ INFO ] no nomodeset in GRUB cmdline (good)
 [ INFO ] Linux distro   : Ubuntu 16.04
 [ INFO ] Linux kernel   : 4.4.0-92-generic
 [ INFO ] glibc version  : 2.23
 [ INFO ] Linux distro suitable for Generic install
 [ INFO ] gcc version    : 20160609 (>=4.8.2 suggested)
--------------------------
Media Server Studio Install:
--------------------------
 [ OK ] user in video group
 [ OK ] libva.so.1 found
 [ ERROR ] libva not loading Intel iHD
 [ OK ] vainfo reports valid codec entry points
 [ INFO ] i915 driver in use by Intel video adapter
 [ OK ] /dev/dri/renderD128 connects to Intel i915
--------------------------
Component Smoke Tests:
--------------------------
 [ OK ] Media SDK HW API level:1.0
 [ OK ] Media SDK SW API level:1.19
 [ OK ] OpenCL check:platform:Intel(R) OpenCL GPU OK CPU OK
platform:Experimental OpenCL 2.1 CPU Only Platform GPU OK CPU OK

 

 

3--sam@sam-dev:~/Downloads$ which ioc64
/usr/bin/ioc64

 

4--When I use the commond "ioc64 -input=22.cl -device=gpu",the log as that.
No command specified, using 'build' as default
OpenCL Intel(R) Graphics device was found!
Device name: Intel(R) HD Graphics
Device version: OpenCL 1.2 
Device vendor: Intel(R) Corporation
Device profile: FULL_PROFILE
fcl build 1 succeeded.
fcl build 2 succeeded.
bcl build succeeded.

simpleAdd info:
	Maximum work-group size: 256
	Compiler work-group size: (0, 0, 0)
	Local memory size: 0
	Preferred multiple of work-group size: 32
	Minimum amount of private memory: 0
	Amount of spill memory used by the kernel: 0

Build succeeded!

5--And , I use the eclipse Neon ,it report "please make sure to set the correct path under the Code Builder for OpenCl preference page"

6--sam@sam-dev:~/Downloads$ uname -r
4.4.0-92-generic

 

 

 

7--sam@sam-dev:/etc/alternatives/opencl-intel-tools$ ls
bin  doc  eclipse-plug-in  include  lib64  version.txt

 

 

 

 

 

I really need slove the problem in eclipse.If i miss some important thing ,please let me know .Thanks.

At last , I'm not sure about my LD_LIBRARY_PATH is good , when i use the echo commond to print it.It shows nothing.

sam@sam-dev:/$ echo $LD_LIBRARY_PATH

Uh....i don't know how to set the environment of LD_LIBRARY_PATH.when i use set it in /etc/environment as "LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib/x86_64-linux-gnu:/usr/lib64:/usr/local/lib" " .The sys_analyzer_linux will report can't find libva.so and libva.so.1.

Best regards

Sam Lu

 

1 post / 0 new
For more complete information about compiler optimizations, see our Optimization Notice.